Subject: False Truffles

From: Roy Reehil <[email-masked]>
Date: Tue, 10 Sep 1996 10:49:00 -0700

I found two false truffles on 9/9/96 and was wondering if anyone could use them or 
a portion of them for research etc.
They were found in a Hemlock/Yellow Birch forest adjacent to a bog in the area know as 
the Rome Sand Plains near Rome, NY. This is a State preserve and marked as a unique 
area. Please Send E-mail if interested as I don't check this group as often as I 
should.
-- 
<> <> <> <> <> <> <> <> <> <> <> <> <> <> <> <> <> <>  
Roy Reehil
Mayor, Village of Cleveland, NY
Editor, Central NY Mycological Society Newsletter
[email-masked]